Subject: RE: [Isis-wg] Experimental TLV to go Experimental?

From: "Les Ginsberg \(ginsberg\)" <[email-masked]>
Date: Sat, 10 Feb 2007 15:43:20 -0800

Philip's recent mention of this draft when reviewing the GENAPP draft
made me dig this old email out. It seems this thread never continued.

What is the current status of the Experimental TLV draft?

   Les

> -----Original Message-----
> From: Philip Christian [mailto:[email-masked]]
> Sent: Thursday, June 15, 2006 2:44 PM
> To: Christian Hopps
> Cc: isis mailing list
> Subject: Re: [Isis-wg] Experimental TLV to go Experimental?
> 
> I'm still available to submit / edit it if needs be.
> This TLV is probably of more obvious benefit to vendors; however if
> vendors do not have an easy way to do this then there is always the
risk
> that they just implement and be damned.
> It is then the operators who will have to pick up the pieces and who
> will find themselves stuck with one vendor because interoperability
> problems will mean that once vendor A is there then vendor B cannot
work
> properly in that network.
> This draft basically makes vendor A and B leave each other alone so
that
> they can co-exist without things messing up.
> Probably there was more demand for this three or four years ago when I
> originally submitted it.  Everyone was full of brilliant ideas and had
> big development groups ready to make the magic happen quickly......
> Anyway for anyone that hasn't got a copy the last draft is archived
here:-
http://www.christiantena.pwp.blueyonder.co.uk/standards/ietf/draft-ietf-
> isis-experimental-tlv-05.txt
> 
> Regards, Philip Christian
> 
> Christian Hopps wrote:
> 
> > At the previous IETF the suggestion was made of moving the
> > experimental TLV draft to experimental (as we have no
implementations
> > in development). We agreed to take this to the list. I've included
> > the minutes on this issue below.
> >
> > If no-one has objection we will submit this to IESG as an
> > experimental RFC.
> >
> > Chris & Dave.
> >
> > Minutes:
> >
> > Chris Hopps:  There was a request to ask the group if anyone had an
> > issue with reviving the draft and taking it to Experimental?
> >
> > Bill Fenner: There's been this weird tension between wanting to do
> > neat new things with new TLVs and wanted to be sure that what's
> > deployed is documented.  One conceivable thing to do is to restrict
> > what's done by restricting the allocations, but that won't work b/c
> > people will implement without allocating - so that won't work
either.
> > That's my main concern with this.  We may get pushback from Ops b/c
it
> > gives the ability to put anything out there with no documentation.
> >
> > Chris Hopps: Shouldn't that be driven by the operators who are going
> > to use it?
> >
> > Dave Ward: No known implementations - talked about it for the last
few
> > years.  Asked for hands for interest in resurrecting the space (no
> > hands).  Asked for hands for no interest (again no hands).
> >
> > Dino: If a vendor wanted a proprietary TLV, would you recommend them
> > using this or something else?
> >
> > Chris Hopps: This - it uses an enterprise code plus whatever the
> > vendor.  (Gives details on solution in draft - one TLV & then
> > enterprise can put whatever it wants in it.) We'll take this to the
> > list.
> >
> >
> > _______________________________________________
> > Isis-wg mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/isis-wg
> 
> 
> 
> _______________________________________________
> Isis-wg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/isis-wg

_______________________________________________
Isis-wg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/isis-wg